// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class SuchIbeta
	{
		units[] = {"SuchIbeta","wip_marineSD","wip_marineMG","wip_marineGL","wip_marineAT","wip_marineTL",
                       "wip_marineMED","wip_marineDMR"};
		requiredAddons[] = {"BIS_Resistance"};
		weapons[] = {};
		requiredVersion = 1.75;
	};
};

class CfgModels
{
	class Default{};
	class Man: Default{};
	class SUCHIbeta: Man 
		{
		sections[] =
			{
				"head injury","body injury",
				"l arm injury","r arm injury","p arm injury",
				"l leg injury","r leg injury","p leg injury",
				"medic",
				"hlava",
				"krk",
				"zasleh"
			};
		sectionsInherit=Head;
		};
};


class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWG: SoldierWB{};
	class SoldierWMG: SoldierWB{};
	class SoldierWLAW: SoldierWB{};
	class SoldierWAT: SoldierWLAW{};
	class SoldierWAA: SoldierWLAW{};
	class SoldierWMortar: SoldierWG{};
	class OfficerWNight: SoldierWB{};
	class SoldierWSniper: SoldierWB{};
	class OfficerW: SoldierWB{};
	class SoldierWMedic: SoldierWB{};
	class SoldierWMiner: SoldierWB{};
	class SoldierWSaboteur: SoldierWB{};
	class SoldierWSaboteurPipe: SoldierWSaboteur{};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe{};

	class SUCHIbeta : SoldierWB
	{
		displayName="Marine";
		vehicleClass ="WIP-MEN";
		model="\SUCHwii\SUCHurifle.p3d";
		picture="\SUCHwii\logomain.paa";
		icon="\SUCHwii\mainlogo.paa";
		hiddenSelections[]={"Medic"};
		nameSound ="soldier";
		scope=2;
		accuracy=3;
		sensitivity=2;
		nightVision=1;
		camouflage=0.3;
		audible=0.8;
		canHideBodies=1;
		armor=3.0;
		armorStructural=2.1; 
		armorHead=0.8;
		armorBody=2.1;
		armorHands=0.5;
		armorLegs=0.5;
		wounds[]={
			"\SUCHwii\vestfront.paa","\SUCHwii\damvest.paa",
			"\SUCHwii\woodland.paa","\SUCHwii\damwood.paa",
			"\SUCHwii\legstuff.paa","\SUCHwii\damleg.paa",
			"\SUCHwii\helmat2.paa","\SUCHwii\damhelmet.paa",
			"\SUCHwii\woodarm.paa","\SUCHwii\damarm.paa",
                  "\xicht_a.paa","\xicht_a_zranen.pac",
			};
		
		weapons[]={"C8XM16cco","Binocular","NVGoggles","StrokeGun","Throw","Put"};
		magazines[]={"c8xm16mag","c8xm16mag","c8xm16mag","c8xm16mag","c8xm16mag","c8xm16mag",
                         "HandGrenade","HandGrenade","SmokeShell","SmokeShell","StrokeGun"};				
	};
	class wip_marineSD : SoldierWMiner
	{
		displayName="Marine(SD)";
		vehicleClass = "WIP-MEN";
		model="\SUCHwii\SUCHurifle.p3d";
		picture="\SUCHwii\logomain.paa";
		icon="\SUCHwii\mainlogo.paa";
		hiddenSelections[]={"Medic"};
		nameSound ="soldier";
		scope=2;
		accuracy=3;
		sensitivity=2;
		nightVision=1;
		camouflage=0.3;
		audible=0.8;
		canHideBodies=1;
		armor=3.0;
		armorStructural=2.1; 
		armorHead=0.8;
		armorBody=2.1;
		armorHands=0.5;
		armorLegs=0.5;
		wounds[]={
			"\SUCHwii\vestfront.paa","\SUCHwii\damvest.paa",
			"\SUCHwii\woodland.paa","\SUCHwii\damwood.paa",
			"\SUCHwii\legstuff.paa","\SUCHwii\damleg.paa",
			"\SUCHwii\helmat2.paa","\SUCHwii\damhelmet.paa",
			"\SUCHwii\woodarm.paa","\SUCHwii\damarm.paa",
                  "\xicht_a.paa","\xicht_a_zranen.pac",
			};
		
		weapons[]={"C8XM4_sd","Binocular","NVGoggles","StrokeGun","Throw","Put"};
		magazines[]={"c8xm4sdmag","c8xm4sdmag","c8xm4sdmag","c8xm4sdmag","c8xm4sdmag","c8xm4sdmag",
                         "PipeBomb","SmokeShell","SmokeShell","StrokeGun"};				
	};
	class wip_marineMG : SoldierWMG
	{
		displayName="Marine (MG)";
		vehicleClass = "WIP-MEN";
		model="\SUCHwii\SUCHurifle.p3d";
		picture="\SUCHwii\logomain.paa";
		icon="\SUCHwii\mainlogo.paa";
		hiddenSelections[]={"Medic"};
		nameSound ="soldier";
		scope=2;
		accuracy=3;
		sensitivity=2;
		nightVision=1;
		camouflage=0.3;
		audible=0.8;
		canHideBodies=1;
		armor=3.0;
		armorStructural=2.1; 
		armorHead=0.8;
		armorBody=2.1;
		armorHands=0.5;
		armorLegs=0.5;
		wounds[]={
			"\SUCHwii\vestfront.paa","\SUCHwii\damvest.paa",
			"\SUCHwii\woodland.paa","\SUCHwii\damwood.paa",
			"\SUCHwii\legstuff.paa","\SUCHwii\damleg.paa",
			"\SUCHwii\helmat2.paa","\SUCHwii\damhelmet.paa",
			"\SUCHwii\woodarm.paa","\SUCHwii\damarm.paa",
                  "\xicht_a.paa","\xicht_a_zranen.pac",
			};
		
		weapons[]={"C8XM249PARA","Binocular","NVGoggles","StrokeGun","Throw","Put"};
		magazines[]={"c8xm249mag","c8xm249mag","c8xm249mag","c8xm249mag",
                         "HandGrenade","HandGrenade","StrokeGun"};				
	};
	class wip_marineGL : SoldierWG
	{
		displayName="Marine (GL)";
		vehicleClass = "WIP-MEN";
		model="\SUCHwii\SUCHurifle.p3d";
		picture="\SUCHwii\logomain.paa";
		icon="\SUCHwii\mainlogo.paa";
		hiddenSelections[]={"Medic"};
		nameSound ="soldier";
		scope=2;
		accuracy=3;
		sensitivity=2;
		nightVision=1;
		camouflage=0.3;
		audible=0.8;
		canHideBodies=1;
		armor=3.0;
		armorStructural=2.1; 
		armorHead=0.8;
		armorBody=2.1;
		armorHands=0.5;
		armorLegs=0.5;
		wounds[]={
			"\SUCHwii\vestfront.paa","\SUCHwii\damvest.paa",
			"\SUCHwii\woodland.paa","\SUCHwii\damwood.paa",
			"\SUCHwii\legstuff.paa","\SUCHwii\damleg.paa",
			"\SUCHwii\helmat2.paa","\SUCHwii\damhelmet.paa",
			"\SUCHwii\woodarm.paa","\SUCHwii\damarm.paa",
                  "\xicht_a.paa","\xicht_a_zranen.pac",
			};
		
		weapons[]={"C8XM16M203cco","Binocular","NVGoggles","StrokeGun","Throw","Put"};
		magazines[]={"c8xm16mag","c8xm16mag","c8xm16mag","c8xm16mag","c8xm16mag",
                         "c8xm203vest","StrokeGun"};				
	};
	class wip_marineAT : SoldierWLAW
	{
		displayName="Marine (AT)";
		vehicleClass = "WIP-MEN";
		model="\SUCHwii\SUCHurifle.p3d";
		picture="\SUCHwii\logomain.paa";
		icon="\SUCHwii\mainlogo.paa";
		hiddenSelections[]={"Medic"};
		nameSound ="soldier";
		scope=2;
		accuracy=3;
		sensitivity=2;
		nightVision=1;
		camouflage=0.3;
		audible=0.8;
		canHideBodies=1;
		armor=3.0;
		armorStructural=2.1; 
		armorHead=0.8;
		armorBody=2.1;
		armorHands=0.5;
		armorLegs=0.5;
		wounds[]={
			"\SUCHwii\vestfront.paa","\SUCHwii\damvest.paa",
			"\SUCHwii\woodland.paa","\SUCHwii\damwood.paa",
			"\SUCHwii\legstuff.paa","\SUCHwii\damleg.paa",
			"\SUCHwii\helmat2.paa","\SUCHwii\damhelmet.paa",
			"\SUCHwii\woodarm.paa","\SUCHwii\damarm.paa",
                  "\xicht_a.paa","\xicht_a_zranen.pac",
			};
		
		weapons[]={"C8XM16acog","SUCHSMAWLAUNCHER","Binocular","NVGoggles","StrokeGun","Throw","Put"};
		magazines[]={"c8xm16mag","c8xm16mag","c8xm16mag","c8xm16mag",
                         "SUCHSMAWAT","SUCHSMAWAT","StrokeGun"};				
	};
	class wip_marineTL : OfficerW
	{
		displayName="Marine T.Leader";
		vehicleClass = "WIP-MEN";
		model="\SUCHwii\SUCHurifle.p3d";
		picture="\SUCHwii\logomain.paa";
		icon="\SUCHwii\mainlogo.paa";
		hiddenSelections[]={"Medic"};
		nameSound ="soldier";
		attendant=1;
		scope=2;
		accuracy=3;
		sensitivity=2;
		nightVision=1;
		camouflage=0.3;
		audible=0.8;
		canHideBodies=1;
		armor=3.0;
		armorStructural=2.1; 
		armorHead=0.8;
		armorBody=2.1;
		armorHands=0.5;
		armorLegs=0.5;
		wounds[]={
			"\SUCHwii\vestfront.paa","\SUCHwii\damvest.paa",
			"\SUCHwii\woodland.paa","\SUCHwii\damwood.paa",
			"\SUCHwii\legstuff.paa","\SUCHwii\damleg.paa",
			"\SUCHwii\helmat2.paa","\SUCHwii\damhelmet.paa",
			"\SUCHwii\woodarm.paa","\SUCHwii\damarm.paa",
                  "\xicht_a.paa","\xicht_a_zranen.pac",
			};
		
		weapons[]={"danM14Acog","wip_m1911","Binocular","NVGoggles","StrokeGun","Throw","Put"};
		magazines[]={"danM14mag","danM14mag","danM14mag","danM14mag","danM14mag","danM14mag",
                         "handgrenade","handgrenade","SmokeShell","SmokeShell","StrokeGun",
                         "wip_m1911mag","wip_m1911mag","wip_m1911mag","wip_m1911mag"};				
	};
	class wip_marineMED : SoldierWMedic
	{
		displayName="Marine (MED)";
		vehicleClass = "WIP-MEN";
		model="\SUCHwii\SUCHurifle.p3d";
		picture="\SUCHwii\medi.paa";
            icon="\SUCHwii\mainlogo.paa";
		hiddenSelections[]={"Medic"};
		nameSound ="soldier";
		attendant=1;
		scope=2;
		accuracy=3;
		sensitivity=2;
		nightVision=1;
		camouflage=0.3;
		audible=0.8;
		canHideBodies=1;
		armor=3.0;
		armorStructural=2.1; 
		armorHead=0.8;
		armorBody=2.1;
		armorHands=0.5;
		armorLegs=0.5;
		weaponSlots="1+16+10*256+2*4096+2+4*32";
		wounds[]={
			"\SUCHwii\vestfront.paa","\SUCHwii\damvest.paa",
			"\SUCHwii\woodland.paa","\SUCHwii\damwood.paa",
			"\SUCHwii\legstuff.paa","\SUCHwii\damleg.paa",
			"\SUCHwii\helmat2.paa","\SUCHwii\damhelmet.paa",
			"\SUCHwii\woodarm.paa","\SUCHwii\damarm.paa",
                  "\xicht_a.paa","\xicht_a_zranen.pac",
			};
		
		weapons[]={"danM14Scout","wip_m1911","Binocular","NVGoggles","StrokeGun","Throw","Put"};
		magazines[]={"danM14mag","danM14mag","danM14mag","danM14mag","danM14mag","danM14mag",
                         "HandGrenade","HandGrenade","SmokeShell","SmokeShell","StrokeGun",
                         "wip_m1911mag","wip_m1911mag","wip_m1911mag","wip_m1911mag"};				
	};
	class wip_marineDMR : SoldierWSniper
	{
		displayName="Marine (DMR)";
		vehicleClass = "WIP-MEN";
		model="\SUCHwii\SUCHurifle.p3d";
		picture="\SUCHwii\snip_logo.paa";
            icon="\SUCHwii\mainlogo.paa";
		hiddenSelections[]={"Medic"};
		nameSound ="soldier";
		scope=2;
		accuracy=3;
		sensitivity=2;
		nightVision=1;
		camouflage=0.3;
		audible=0.8;
		canHideBodies=1;
		armor=3.0;
		armorStructural=2.1; 
		armorHead=0.8;
		armorBody=2.1;
		armorHands=0.5;
		armorLegs=0.5;
		weaponSlots="1+16+10*256+2*4096+2+4*32";
		wounds[]={
			"\SUCHwii\vestfront.paa","\SUCHwii\damvest.paa",
			"\SUCHwii\woodland.paa","\SUCHwii\damwood.paa",
			"\SUCHwii\legstuff.paa","\SUCHwii\damleg.paa",
			"\SUCHwii\helmat2.paa","\SUCHwii\damhelmet.paa",
			"\SUCHwii\woodarm.paa","\SUCHwii\damarm.paa",
                  "\xicht_a.paa","\xicht_a_zranen.pac",
			};
		
		weapons[]={"DanM14DMR","wip_m1911","Binocular","NVGoggles","StrokeGun","Throw","Put"};
		magazines[]={"DanM14DMRMag","DanM14DMRMag","DanM14DMRMag","DanM14DMRMag","DanM14DMRMag",
                         "DanM14DMRMag","DanM14DMRMag","DanM14DMRMag",
                         "HandGrenade","HandGrenade","StrokeGun",
                         "wip_m1911mag","wip_m1911mag","wip_m1911mag","wip_m1911mag"};				
	};	
};

class CfgGroups
{
   class West
   {
      name="WIP-MEN"

      class wipman_marines
      {
         name="Marines Squad";

		class wipmarines_Squad
		{
			name="USMC Unit";
			class Unit0{name="1";side=1;vehicle="wip_marineTL";rank="Captain";position[]={0,0,0};};
			class Unit1{name="2";side=1;vehicle="wip_marineMG";rank="Private";position[]={-8,-3,0};};
			class Unit2{name="3";side=1;vehicle="wip_marineGL";rank="Lieutnant";position[]={-6,-3,0};};
			class Unit3{name="4";side=1;vehicle="SUCHIbeta";rank="Private";position[]={-4,-3,0};};
			class Unit4{name="5";side=1;vehicle="wip_marineMED";rank="Corporal";position[]={-2,-3,0};};
			class Unit5{name="6";side=1;vehicle="wip_marineAT";rank="Private";position[]={0,-3,0};};
			class Unit6{name="7";side=1;vehicle="wip_marineSD";rank="Private";position[]={2,-3,0};};
			class Unit7{name="8";side=1;vehicle="wip_marineDMR";rank="Sergeant";position[]={4,-3,0};};
		};